pdadmin-forum

pdadmin-forum » PD-Admin » Anwendung » Installation typo3 über pdadmin » Hallo Gast [Anmelden|Registrieren]
Letzter Beitrag | Erster ungelesener Beitrag Druckvorschau | An Freund senden | Thema zu Favoriten hinzufügen
Neues Thema erstellen Antwort erstellen
Zum Ende der Seite springen Installation typo3 über pdadmin
Autor
Beitrag « Vorheriges Thema | Nächstes Thema »
RudiX
Mitglied


Dabei seit: 03.11.2004
Beiträge: 313
Herkunft: Frankfurt

Installation typo3 über pdadmin Antworten | Zitieren | Editieren | Melden       Zum Anfang der Seite springen

Hi @ all,
habe mal auf einem Testsystem das neue Feature "Installation von Anwendungen" getestet.
Wollte gerne die Installation von typo3 8.7.6-50 wie im Menu angeboten durchführen. Doch leider kam es dazu nicht ;-(( Er bricht gleich mit untenstehender Fehlermeldung ab.
Obwohl im Hauptmenu und im Customer-Menu die php-version letzte 7.1 aktiviert ist, versucht er anscheinend auf die php-ver. 5 zurückzugreifen, hm?
Ich denke der Bereich "Anwendungen" steckt noch etwas in den Kinderschuhen oder?

pd-admin version v4.57
se version 4-0.305

Dienste alle default,
Serverkonfiguration in pdadmin:
- Apache 2.4
- php 7.2.1
- cgi-wrap

Fehlermeldung:
STDOUT: <>, STDERR = <mysystem: /command/setuidgid velobnbj /usr/local/pd-admin2/bin/php5-5.6-cli /home/velobnbj/apsroot/typo3-8.7.6-50/scripts/configure install PHP Warning: PHP Startup: Unable to load dynamic library '/usr/local/pd-admin2/php5-5.6.33/lib/php/extensions/no-debug-non-zts-20131
226/php_soap.dll' - /usr/local/pd-admin2/php5-5.6.33/lib/php/extensions/no-debug-non-zts-201312
26/php_soap.dll: cannot open shared object file: No such file or directory in Unknown on line 0 PHP Parse error: syntax error, unexpected ':', expecting '{' in /home/velobnbj/apsroot/typo3-8.7.6-50/scripts/typo3bootstrap.php on line 50 >

Was tun, vieln Dank für Euer Feedback,
Liebe Grüße,
der RudiX
06.02.2018 20:45 RudiX ist offline E-Mail an RudiX senden Beiträge von RudiX suchen Nehme RudiX in Deine Freundesliste auf
Sumeragi
Mitglied


Dabei seit: 19.07.2016
Beiträge: 53

Antworten | Zitieren | Editieren | Melden       Zum Anfang der Seite springen

Der Fehlermeldung nach wird die php_soap.dll nicht gefunden. Dies gibt es auch nicht in der Serverumgebung. Kann es sein, dass dies so in Ihrer php.ini angegeben ist? Richtig wäre

code:
1:
2:
extension_dir=""
extension=soap.so


in der php.ini.
06.02.2018 21:39 Sumeragi ist offline E-Mail an Sumeragi senden Homepage von Sumeragi Beiträge von Sumeragi suchen Nehme Sumeragi in Deine Freundesliste auf
RudiX
Mitglied


Dabei seit: 03.11.2004
Beiträge: 313
Herkunft: Frankfurt

Themenstarter Thema begonnen von RudiX
Antworten | Zitieren | Editieren | Melden       Zum Anfang der Seite springen

Hallo,
nee, das ist es nicht, er greift ja anscheinend schon gar nicht auf die php-Version zu auf die er zugreifen soll. Die Fehlermeldung generiert er meineserachtens aus der php5-5.6.33???

Was ich nun noch bemerkt habe:
- im Kundenmenu --> Allgemein --> PHP-Version kann man max. "letzte 7.1" auswählen.
- im php.ini Editor die ini der Version 7.2

Aber egal, php.ini im Kundenmenü erstellt, Einträge überprüft
genau wie Du beschrieben hast, so hatte ichs auch eingetragen:
extension_dir=""
extension=soap.so

Is ja nicht das erste typo3 das ich installiere ;-))

Liebe Grüße, RudiX
07.02.2018 18:59 RudiX ist offline E-Mail an RudiX senden Beiträge von RudiX suchen Nehme RudiX in Deine Freundesliste auf
agi
Mitglied


Dabei seit: 02.06.2015
Beiträge: 2

Antworten | Zitieren | Editieren | Melden       Zum Anfang der Seite springen

Welche PHP Version tatsächlich genutzt wird, kann mit phpinfo() überprüft werden. In phpinfo() ist auch der Pfad zur geladenen php.ini hinterlegt.

Vermutlich wird die bearbeitete php.ini gar nicht genutzt und in der tatsächlich geladenen wird versucht, eine Windows Bibliothek (DLL) zu laden - das ergibt natürlich keinen Sinn.

Edit:
Es wird php als CLI gestartet:

/command/setuidgid velobnbj /usr/local/pd-admin2/bin/php5-5.6-cli

Dort muss die php.ini mit -c <pfad-zur-php.ini> angegeben werden. Weiterhin sollte dann auch die korrekte CLI Version geladen werden (php7.2-cli wenn gewünscht).

Dieser Beitrag wurde 1 mal editiert, zum letzten Mal von agi: 07.02.2018 20:59.

07.02.2018 20:57 agi ist offline E-Mail an agi senden Beiträge von agi suchen Nehme agi in Deine Freundesliste auf
Sumeragi
Mitglied


Dabei seit: 19.07.2016
Beiträge: 53

Antworten | Zitieren | Editieren | Melden       Zum Anfang der Seite springen

code:
1:
STDOUT: <>, STDERR = <mysystem: /command/setuidgid velobnbj /usr/local/pd-admin2/bin/php5-5.6-cli /home/velobnbj/apsroot/typo3-8.7.6-50/scripts/configure install 


Richtig, das Script wird per PHP 5.6 aufgerufen. Es wird die CLI version aufgerufen. Da mit -c keine php.ini angegeben wird, wird die Standard php.ini aus /usr/local/pd-admin2/php5-5.6/lib/php.ini geladen. Bsp.:

code:
1:
2:
3:
$ /usr/local/pd-admin2/bin/php5-5.6-cli -i | grep php.ini
Configuration File (php.ini) Path => /usr/local/pd-admin2/php5-5.6/lib
Loaded Configuration File => /usr/local/pd-admin2/php5-5.6/lib/php.ini


Es muss also dort einmal in der php.ini geschaut werden. Die weiteren Fehler können durch die Warnung

code:
1:
2:
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/local/pd-admin2/php5-5.6.33/lib/php/extensions/no-debug-non-zts-20131
226/php_soap.dll'


entstehen. Ich weiß allerdings auch, dass TYPO3 8 PHP 7 voraussetzt, nur nicht wie das Install-Skript mit PHP 5.6 klar kommt.
07.02.2018 20:57 Sumeragi ist offline E-Mail an Sumeragi senden Homepage von Sumeragi Beiträge von Sumeragi suchen Nehme Sumeragi in Deine Freundesliste auf
Baumstruktur | Brettstruktur
Gehe zu:
Neues Thema erstellen Antwort erstellen
pdadmin-forum » PD-Admin » Anwendung » Installation typo3 über pdadmin

Impressum | Team | Hilfe

Forensoftware: Burning Board, entwickelt von WoltLab GmbH    |    Design entwickelt von You-Online.de